import { publishUserEvent, publishUserListStream } from "../stream.js";
import { UserListJoinings, Users } from "../../models/index.js";
export async function pullUserFromUserList(target, list) {
    await UserListJoinings.delete({
        userListId: list.id,
        userId: target.id
    });
    const packed = await Users.pack(target);
    publishUserListStream(list.id, "userRemoved", packed);
    if (list.hideFromHomeTl) publishUserEvent(list.userId, "userUnhidden", target.id);
}
